Subject: Re: mysterious error message

From: tom sgouros <[email-masked]>
Date: Fri, 26 Sep 2008 10:32:48 -0400

> Hi,
> 
> On Thu, 25 Sep 2008, Tom Sgouros wrote:
> 
> > I receive the following error message when I try to do a 'git push':
> > 
> >   tomfool@toms-box:hpl$ git push
> >   updating 'refs/heads/master'
> >     from ad4ae7925d3dd23798e7c5b733d2d8f930f7410f
> >     to   5b5f5fae014a4f3535fa10b0f6e28b4bf3225dc3
> >    Also local refs/remotes/origin/master
> >   Generating pack...
> >   Done counting 10 objects.
> >   Deltifying 10 objects...
> >   error: pack-objects died with strange error
> >   unpack eof before pack header was fully read
> >   ng refs/heads/master n/a (unpacker error)
> >   error: failed to push to 'ssh://[email-masked]/home/tomfool/hpl.git'
> >   tomfool@toms-box:hpl$
> 
> I got this message when I tried to push a project with submodules to a 
> server which had submodule-ignorant git installed.  Maybe it's that?

I'm not sure which versions are submodule-ignorant, but it's version
1.5.3.6 on the pusher and version 1.5.4.5 on the server.  I installed
git via the fink package manager.  Could there be some other
incompatibility? 

Thanks,

 -tom

-- 
 ------------------------
 tomfool at as220 dot org
 http://sgouros.com  
 http://whatcheer.net